## org.eclipse.datatools.sqltools.sqlbuilder.model
Interface ISQLDialectInfo

All Known Implementing Classes:
  SQLDialectInfo

    public interface ISQLDialectInfo

This interface defines the set of properties which determine a SQL dialect.

Method Summary
`java.lang.String` `encode()` Encodes the given `ISQLDialectInfo` object for persistence.
`java.lang.String` `getOmitSchema()` Gets the database omitSchema for this ISQLDialectInfo.
`java.lang.String` `getProduct()` Gets the database product name for this ISQLDialectInfo.
`java.lang.String` `getVersion()` Gets the database version for this ISQLDialectInfo.
`void` `setOmitSchema(java.lang.String omitSchema)` Sets the omitSchema for this ISQLDialectInfo.
`void` `setProduct(java.lang.String product)` Sets the database product name for this ISQLDialectInfo.
`void` `setVersion(java.lang.String version)` Sets the database version for this ISQLDialectInfo.

Method Detail

### getProduct

    java.lang.String getProduct()

  Gets the database product name for this ISQLDialectInfo.

  Returns:
    the database product name

### setProduct

    void setProduct(java.lang.String product)

  Sets the database product name for this ISQLDialectInfo.

### getVersion

    java.lang.String getVersion()

  Gets the database version for this ISQLDialectInfo.

  Returns:
    the database version

### setVersion

    void setVersion(java.lang.String version)

  Sets the database version for this ISQLDialectInfo.

### getOmitSchema

    java.lang.String getOmitSchema()

  Gets the database omitSchema for this ISQLDialectInfo. If the schema name was omitted when the SQL was constructed, this is the schema name that was omitted. If the schema name was not omitted, it is null.

  Returns:
    the omitSchema

### setOmitSchema

    void setOmitSchema(java.lang.String omitSchema)

  Sets the omitSchema for this ISQLDialectInfo. If the schema name was omitted when the SQL was constructed, this is the schema name that was omitted. If the schema name was not omitted, it is null.

### encode

    java.lang.String encode()

  Encodes the given `ISQLDialectInfo` object for persistence.

  Returns:
    encoded String
  See Also:
    `SQLDialectInfo.decode(String)`